Page MenuHomePhabricator

Upgrade monolog to 1.14.0
Closed, ResolvedPublic

Description

We are currently using monolog 1.12.0. 1.13.0 was released in March, and 1.13.1 is a bugfix for hipchat. https://github.com/Seldaek/monolog/compare/1.12.0...1.13.1 has changes since 1.12.0.

Event Timeline

Legoktm created this task.May 18 2015, 7:41 AM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added subscribers: Legoktm, bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2015, 7:41 AM
bd808 added a comment.May 18 2015, 3:53 PM

I don't see anything that would cause us migration problems in a quick scan of the changes from 1.12.0 to 1.13.1 but we should time a change like this to give us the maximum amount of time to notice Monolog related problems in beta before the changes hit production.

bd808 renamed this task from monolog 1.13.0, 1.13.1 released, upgrade? to Upgrade monolog to 1.14.0.
bd808 set Security to None.
bd808 claimed this task.

1.14.0 has released upstream and includes a patch that we need to fix T99581. Changes since 1.12.0: https://github.com/Seldaek/monolog/compare/1.12.0...1.14.0

bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.

Change 220781 had a related patch set uploaded (by BryanDavis):
Upgrade Monolog to v1.14.0

https://gerrit.wikimedia.org/r/220781

bd808 triaged this task as High priority.Jun 25 2015, 3:57 PM
bd808 moved this task from Backlog to Needs review on the MediaWiki-Vendor board.
bd808 moved this task from In Dev/Progress to Needs Review/Feedback on the User-bd808 board.

Change 220781 merged by jenkins-bot:
Upgrade Monolog to v1.14.0

https://gerrit.wikimedia.org/r/220781

bd808 closed this task as Resolved.Jun 25 2015, 11:47 PM

This will ride the train with 1.26wmf12

bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Jul 11 2015, 9:40 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Jul 24 2015, 5:18 PM